package com.caimei365.manager.entity.caimei;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zzj
 */
@Accessors(chain  = true )
@Data
public class KeyWord implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    private Integer id;

    @ExcelProperty(value = "关键词", index = 0)
    private String keyword;
    /**
     * 标签库数据来源（1：手动添加；2：用户关键词统计；3：导入，4：协销填写）
     */
    @ExcelIgnore
    private Integer fromSearch;
    /**
     * 协销Id 当 fromSearch 为 4的时候有值
     */
    private Integer serviceProviderId;
    /**
     * 协销名称
     */
    private String name;
    /**
     * 0：动态标签；1：静态标签
     */
    private Integer dynamicStatus;
    /**
     * 0:未加入关键词库；1：已加入关键词库
     */
    @ExcelIgnore
    private Integer labelStatus;
    /**
     * 关键词出现次数
     */
    @ExcelIgnore
    private Integer frequency;
    /**
     * 联动搜索状态：0未启用，1已启用
     */
    @ExcelIgnore
    private Integer linkageStatus;
    /**
     * 添加到标签库的时间
     */
    @ExcelIgnore
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime;
    /**
     * 关键词推荐时间
     */
    @ExcelIgnore
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recommendTime;
    /**
     * 最近一次搜索时间
     */
    @ExcelIgnore
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date searchTime;
    /**
     * shi发支持选择
     */
    private Boolean flag;

    //点击量统计
    /** 开始点击量时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startPvCreateTime;
    /** 结束点击量时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endPvCreateTime;
    /** 点击量 */
    private Integer pv;
}
