package com.caimei365.manager.entity.caimei.svip;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/11
 */
@Data
public class CmCouponClub {
    /**
     * 机构用户Id
     */
    private Integer userId;
    /**
     * 优惠券id
     */
    private Integer couponId;
    /**
     * 订单id
     */
    private Integer orderId;
    /**
     * 退款id,订单退回时有效
     */
    private Integer returnedId;
    /**
     * 领取渠道：1小程序 2网站 3订单退回
     */
    private String source;
    /**
     * 使用状态 1未使用 2已使用
     */
    private String status;
    /**
     * 使用时间
     */
    private Date useDate;
    /**
     * 机构名称
     */
    private String clubName;
    /**
     * 劵类型 0活动券 1品类券 2用户专享券 3店铺券 4新用户券
     */
    private Integer couponType;
    /**
     * 可用券的数量
     */
    private Integer num;
    /**
     * 优惠券金额(面值)
     */
    private BigDecimal couponAmount;
    /**
     * 优惠满减条件金额
     */
    private BigDecimal touchPrice;
    /**
     * 状态 0未生效 1已生效 2已关闭 3已失效
     */
    private String couponStatus;
    /**
     * 普通/价值优惠券标记1是2不是
     */
    private Integer moneyCouponFlag;
    /**
     * 使用开始时间（有效期）
     */
    private Date startDate;
    /**
     * 使用结束时间（有效期）
     */
    private Date endDate;
    /**
     * 订单编号
     */
    private String orderNo;
}
