package com.caimei365.manager.utils;

import lombok.extern.slf4j.Slf4j;
import com.caimei365.manager.FastDFS.FastDFSClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

@Controller
@RequestMapping("formData")
@Slf4j
public class formDataUtils {
    @Resource
    private FastDFSClient client;
    @Value("${caimei.imageDomain}")
    private String imageDomain;

    @ResponseBody
    @RequestMapping("/MultiPictareaddData")
    public Map<String, Object> MultiPictareaddData(MultipartFile[] file, HttpServletRequest request) throws IOException {
        Map<String, Object> map = new HashMap<String, Object>();
        String saveFile = null;
        if (file != null && file.length > 0) {
            for (int i = 0; i < file.length; i++) {
                MultipartFile filex = file[i];
                // 保存文件
                saveFile = saveFile(request, filex);
                saveFile = imageDomain + "/" + saveFile;
            }
            map.put("data", saveFile);
            map.put("msg", "上传成功");
            log.info(">>>>>>>>>>>>>>>>图片上传成功:" + saveFile);
        } else {
            map.put("msg", "上传失败");
            log.info(">>>>>>>>>>>>>>>>图片上传失败:");
        }
        return map;
    }

    private String saveFile(HttpServletRequest request, MultipartFile file) throws IOException {
        String originalFilename = file.getOriginalFilename();
        String randomUUID = UUID.randomUUID().toString();
        int index = originalFilename.lastIndexOf(".");
        String exet = originalFilename.substring(index);
        String filePath = "/mnt/newdatadrive/data/runtime/jar-instance/manager-api/tempImage/";
        filePath += "\\" + randomUUID + exet;
        file.transferTo(new File(filePath));
        log.info(">>>>>>>>>>>>>>>>图片上传路径:" + filePath);
        String file1 = client.uploadFile(filePath);
        return file1;
    }
}
